Security Enhanced Linux Reference Policy

# Layer: admin

## Module: logrotate

Interfaces

### Description:

Rotate and archive system logs

### Interfaces:

logrotate_domtrans( domain )

##### Summary

Execute logrotate in the logrotate domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

logrotate_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit logrotate file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process to not audit.

logrotate_exec( domain )

##### Summary

Execute logrotate in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

logrotate_read_tmp_files( domain )

##### Summary

Read a logrotate temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process to not audit.

logrotate_run( domain , role )

##### Summary

Execute logrotate in the logrotate domain, and allow the specified role the logrotate domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to be allowed the logrotate domain.

logrotate_use_fds( domain )

##### Summary

Inherit and use logrotate file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return